Package org.eclipse.emf.compare.provider

# Interface ITooltipLabelProvider

public interface ITooltipLabelProvider
Provider of tooltips.

Since:
  4.2

## Method Summary

Modifier and Type
Method
Description
`String`
`getTooltip(MergeMode mode)`
Return a tooltip for the given MergeMode.

## Method Details

### getTooltip

String getTooltip(MergeMode mode) throws IllegalArgumentException
Return a tooltip for the given MergeMode.

Parameters:
  `mode` - The merge mode
Returns:
  the tooltip
Throws:
  `IllegalArgumentException` - For an undefined or invalid `MergeMode`